Subject: Re-negotiating Vendor-Specific Keys

From: Bart Crane <[email-masked]>
Date: Tue, 13 Aug 2002 13:42:32 -0700

Sec. 4.2 says "... re-negotiation ... is forbidden for many keys."  

Sec. 4.3 says "If an attempt to re-negotiate/re-declare parameters not
specifically allowed is detected ...".

If an implementation wishes to determine whether an unrecognized
vendor-specific key which is being re-negotiated is a violation of the
protocol, it would need to access to information regarding that key.  

If an implementation had such information regarding that unrecognized key,
the key would not be unrecognized.

If an implementation does not recognize a vendor-specific key, it can not
decide if re-negotiating that key is a protocol violation.  

Therefore, an implementation need not "remember" all unrecognized
vendor-specific keys in order to detect protocol violations, because it does
not have access to information necessary to determine if a protocol
violation took place.